- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes

# MCursor Class Reference

# OpenMayaUI - API module for user interface

Search for all occurrences

## Detailed Description

Manipulate Cursors.

The MCursor class implements a cursor class, and is used to pass all cursor arguments to Maya API methods.

The cursor image and mask are stored in xbm format to the constructor along with the cursor dimensions and the cursor hotspot.

Examples:

  lassoTool.cpp.

`#include <MCursor.h>`

List of all members.

## Public Member Functions
| MCursor (short width, short height, short hotSpotX, short hotSpotY, unsigned char *bits, unsigned char *mask)
| Class constructor.
| MCursor (const MCursor &other)
| Copy constructor.
| ~MCursor ()
| The class destructor.
MCursor & | operator= (const MCursor &)
| Assignment operator.
bool | operator== (const MCursor &) const
| Equality operator.
bool | operator!= (const MCursor &) const
| Inequality operator.
## Static Public Attributes
static const MCursor | defaultCursor
| Maya default cursor, the left arrow. Search for all occurrences
static const MCursor | crossHairCursor
| '+' cursor. Search for all occurrences
static const MCursor | doubleCrossHairCursor
| '+' cursor with double lines. Search for all occurrences
static const MCursor | editCursor
| Wedge-shaped arrow pointing left. Search for all occurrences
static const MCursor | pencilCursor
| Pencil shape. Search for all occurrences
static const MCursor | handCursor
| Open hand shaped cursor. Search for all occurrences

## Constructor & Destructor Documentation

MCursor | ( | short | width,
|  | short | height,
|  | short | hotSpotX,
|  | short | hotSpotY,
|  | unsigned char * | bits,
|  | unsigned char * | mask
| ) |  |

Class constructor.

Create a new instance of an MCursor and initialize it with the given values.

Parameters:

  [in] | width | the width of the cursor
  [in] | height | the height of the cursor
  [in] | hotSpotX | the x position of the hot spot (left is 1)
  [in] | hotSpotY | the y position of the hot spot (top is 1)
  [in] | bits | the cursor bitmap in xbm format
  [in] | mask | the cursor mask in xbm format

MCursor | ( | const MCursor & | other | ) |

Copy constructor.

Create a new MCursor instance and initialize it with the given cursor.

Parameters:

  [in] | other | the MCursor to copy from.

## Member Function Documentation

MCursor & operator= | ( | const MCursor & | other | ) |

Assignment operator.

Allows assignment between MCursor instances.

Parameters:

  [in] | other | the MCursor to copy from.

bool operator== | ( | const MCursor & | other | ) | const

Equality operator.

Allows 2 MCursors to be compared to see if they are identical.

Parameters:

  [in] | other | the MCursor object to be compared with.

Returns:
  - true if the objects are same.
  - false if the objects are different.

bool operator!= | ( | const MCursor & | other | ) | const

Inequality operator.

Allows 2 MCursors to be compared to see if they are not the same.

Parameters:

  [in] | other | the MCursor object to be compared with.

Returns:
  - true if the objects are different.
  - false if the objects are same.

MCursor MCursor MCursor MCursor MCursor MCursor MCursor MCursor MCursor MCursor
MCursor MCursor MCursor MCursor MCursor MCursor MCursor MCursor MCursor MCursor